package com.yeejoin.amos.patrol.business.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;

public class PointVo {

	private long id;
	@Excel(name = "点编号", orderNum = "0")
	private String pointNo;
	@Excel(name = "点名称", orderNum = "1")
	private String name;
	@Excel(name = "固定点", replace = {"是_1", "否_0"}, orderNum = "2")
	private String isFixed;
	@Excel(name = "拍照数量", orderNum = "3")
	private String shotNumber;
	@Excel(name="路线", orderNum="4")
	private String routeName;

	private long classifyId;

	@Excel(name="扩展分类", orderNum="5")
	private String classifyName;

	private long routeId;
	@Excel(name="检查项目", orderNum="6")
	private String inputItemName;

	private  String remark;


	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getPointNo() {
		return pointNo;
	}

	public void setPointNo(String pointNo) {
		this.pointNo = pointNo;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getIsFixed() {
		return isFixed;
	}

	public void setIsFixed(String isFixed) {
		this.isFixed = isFixed;
	}

	public String getShotNumber() {
		return shotNumber;
	}

	public void setShotNumber(String shotNumber) {
		this.shotNumber = shotNumber;
	}

	public String getRouteName() {
		return routeName;
	}

	public void setRouteName(String routeName) {
		this.routeName = routeName;
	}

	public String getInputItemName() {
		return inputItemName;
	}

	public void setInputItemName(String inputItemName) {
		this.inputItemName = inputItemName;
	}

	public String getCatalogName() {
		return catalogName;
	}

	public void setCatalogName(String catalogName) {
		this.catalogName = catalogName;
	}

	public long getRouteId() {
		return routeId;
	}

	public void setRouteId(long routeId) {
		this.routeId = routeId;
	}

	private String catalogName;

	public long getClassifyId() {
		return classifyId;
	}

	public void setClassifyId(long classifyId) {
		this.classifyId = classifyId;
	}

	public String getClassifyName() {
		return classifyName;
	}

	public void setClassifyName(String classifyName) {
		this.classifyName = classifyName;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
}
